summaryrefslogtreecommitdiffstats
path: root/graphics/vuescan/vuescan.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/vuescan/vuescan.SlackBuild')
-rw-r--r--graphics/vuescan/vuescan.SlackBuild57
1 files changed, 37 insertions, 20 deletions
diff --git a/graphics/vuescan/vuescan.SlackBuild b/graphics/vuescan/vuescan.SlackBuild
index 5e879ec705..480c007b4f 100644
--- a/graphics/vuescan/vuescan.SlackBuild
+++ b/graphics/vuescan/vuescan.SlackBuild
@@ -4,7 +4,7 @@
# Copyright 2013-2017 Heiko Rosemann, Germany
# Copyright 2019-2022 Andrew Clemons, Wellington, New Zealand
-# Copyright 2022 Andrew Clemons, Tokyo, Japan
+# Copyright 2022-2024 Andrew Clemons, Tokyo, Japan
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,30 +27,19 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=vuescan
-VERSION=${VERSION:-9.7.88}
+VERSION=${VERSION:-9.8.32}
SRCVER=${SRCVER:-$(echo "$VERSION" | cut -d. -f-2 | sed 's/\.//g')}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-ARCH=${ARCH:-$(uname -m)}
-case $ARCH in
- i?86)
- SOURCEFILE=vuex32$SRCVER.tgz
- if [ ! -e "$CWD/$SOURCEFILE" ] ; then
- SOURCEFILE=vuex32-$VERSION.tgz
- fi
-
- ;;
- x86_64)
- SOURCEFILE=vuex64$SRCVER.tgz
- if [ ! -e "$CWD/$SOURCEFILE" ] ; then
- SOURCEFILE=vuex64-$VERSION.tgz
- fi
- ;;
- *)
- echo "ARCH $ARCH is unsupported."; exit 1 ;;
-esac
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
@@ -61,6 +50,30 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ] ; then
+ SOURCEFILE=vuex32$SRCVER.tgz
+ if [ ! -e "$CWD/$SOURCEFILE" ] ; then
+ SOURCEFILE=vuex32-$VERSION.tgz
+ fi
+elif [ "$ARCH" = "x86_64" ]; then
+ SOURCEFILE=vuex64$SRCVER.tgz
+ if [ ! -e "$CWD/$SOURCEFILE" ] ; then
+ SOURCEFILE=vuex64-$VERSION.tgz
+ fi
+elif [ "$ARCH" = "aarch64" ]; then
+ SOURCEFILE=vuea64$SRCVER.tgz
+ if [ ! -e "$CWD/$SOURCEFILE" ] ; then
+ SOURCEFILE=vuea64-$VERSION.tgz
+ fi
+elif [ "$ARCH" = "arm" ]; then
+ SOURCEFILE=vuea32$SRCVER.tgz
+ if [ ! -e "$CWD/$SOURCEFILE" ] ; then
+ SOURCEFILE=vuea32-$VERSION.tgz
+ fi
+else
+ echo "ARCH $ARCH is unsupported."; exit 1
+fi
+
set -e
rm -rf $PKG
@@ -90,6 +103,10 @@ echo "cd /opt/$PRGNAM" >> $PKG/usr/bin/$PRGNAM
echo "./$PRGNAM" >> $PKG/usr/bin/$PRGNAM
chmod +x $PKG/usr/bin/$PRGNAM
+if [ "$ARCH" = "aarch64" ]; then
+ patchelf --set-interpreter /lib64/ld-linux-aarch64.so.1 $PKG/opt/$PRGNAM/$PRGNAM
+fi
+
# Include the SlackBuild script in the documentation directory
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild